<?php
define('_IN_JOHNCMS', 1);
$headmod = 'Wmr';
$textl = 'Мой WMR кошелек';
require_once ('../incfiles/core.php');
require_once ('../incfiles/head.php');
if (!$user_id) {display_error('Только для зарегистрированных посетителей');
require_once ('../incfiles/end.php');
exit;}
switch ($act) {
case 'ok' :
$wmr = isset ($_POST['wmr']) ? trim($_POST['wmr']) : '';
// Записываем в базу
mysql_query("UPDATE `users` SET `wmr` = '" . mysql_real_escape_string($wmr) . "' WHERE `id` = '" . $datauser['id'] ."' LIMIT 1");
echo '<div class="gmenu"><b>WMR кошелек успешно заполнен!</b></div>';
break;

default :
echo '<div class="phdr">Введите WMR кошелек:</div>';
if ($datauser['wmr'] != 0){ echo 'Для смены номера кошелька обратитесь к администрации портала.<br />Ваш кошелек:<br />R'.$datauser['wmr'].'';
}else{
echo '<form action="wmr.php?act=ok" method="post">';
echo '<div class="menu">R<input type="wmr" name="wmr" value="'.$datauser['wmr'].'"  /><br />';
echo '<input type="submit" value="Сохранить" name="submit" />';
echo '</div></form>';}
echo '<div class="phdr">Вводить только цифры!</div>';
echo '<a href="anketa.php">В анкету</a>';}
require_once ('../incfiles/end.php');
?>
